diff --git a/databases/mysql80-client/Makefile b/databases/mysql80-client/Makefile
index 9cfa8d717d8b..57ea54fb66e6 100644
--- a/databases/mysql80-client/Makefile
+++ b/databases/mysql80-client/Makefile
@@ -1,5 +1,5 @@
 PORTNAME=	mysql
-PORTREVISION=	2
+PORTREVISION=	0
 PKGNAMESUFFIX=	80-client
 
 COMMENT=	Multithreaded SQL database (client)
diff --git a/databases/mysql80-client/pkg-plist b/databases/mysql80-client/pkg-plist
index b185afa48caf..b67078ca6131 100644
--- a/databases/mysql80-client/pkg-plist
+++ b/databases/mysql80-client/pkg-plist
@@ -39,20 +39,4 @@ lib/mysql/libmysqlclient_r.so.21
 lib/mysql/plugin/authentication_fido_client.so
 lib/mysql/plugin/authentication_oci_client.so
 libdata/pkgconfig/mysqlclient.pc
-share/man/man1/comp_err.1.gz
-share/man/man1/lz4_decompress.1.gz
-share/man/man1/mysql.1.gz
-share/man/man1/mysql_config.1.gz
-share/man/man1/mysql_config_editor.1.gz
-share/man/man1/mysqladmin.1.gz
-share/man/man1/mysqlbinlog.1.gz
-share/man/man1/mysqlcheck.1.gz
-share/man/man1/mysqldump.1.gz
-share/man/man1/mysqlimport.1.gz
-share/man/man1/mysqlman.1.gz
-share/man/man1/mysqlpump.1.gz
-share/man/man1/mysqlshow.1.gz
-share/man/man1/mysqlslap.1.gz
-share/man/man1/perror.1.gz
-share/man/man1/zlib_decompress.1.gz
 share/aclocal/mysql.m4
diff --git a/databases/mysql80-server/Makefile b/databases/mysql80-server/Makefile
index 876d9757d1a3..b28b02ac87ee 100644
--- a/databases/mysql80-server/Makefile
+++ b/databases/mysql80-server/Makefile
@@ -1,6 +1,6 @@
 PORTNAME?=		mysql
-PORTVERSION=		8.0.32
-PORTREVISION?=		3
+PORTVERSION=		8.0.33
+PORTREVISION?=		0
 CATEGORIES=		databases
 MASTER_SITES=		MYSQL/MySQL-8.0
 PKGNAMESUFFIX?=		80-server
diff --git a/databases/mysql80-server/distinfo b/databases/mysql80-server/distinfo
index 8134c31693a6..05b98badd3de 100644
--- a/databases/mysql80-server/distinfo
+++ b/databases/mysql80-server/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1676165343
-SHA256 (mysql-boost-8.0.32.tar.gz) = 1a83a2e1712a2d20b80369c45cecbfcc7be9178d4fc0e81ffba5c273ce947389
-SIZE (mysql-boost-8.0.32.tar.gz) = 436207624
+TIMESTAMP = 1686677589
+SHA256 (mysql-boost-8.0.33.tar.gz) = ae31e6368617776b43c82436c3736900067fada1289032f3ac3392f7380bcb58
+SIZE (mysql-boost-8.0.33.tar.gz) = 438065679
diff --git a/databases/mysql80-server/files/patch-utilities_CMakeLists.txt b/databases/mysql80-server/files/patch-utilities_CMakeLists.txt
index 29c120a41e79..c68cd6aa532d 100644
--- a/databases/mysql80-server/files/patch-utilities_CMakeLists.txt
+++ b/databases/mysql80-server/files/patch-utilities_CMakeLists.txt
@@ -1,8 +1,8 @@
---- utilities/CMakeLists.txt.orig	2020-09-23 12:37:48 UTC
-+++ utilities/CMakeLists.txt
-@@ -23,13 +23,19 @@
- ADD_WSHADOW_WARNING()
+--- utilities/CMakeLists.txt.orig	2023-06-14 08:24:40.103026000 +0200
++++ utilities/CMakeLists.txt	2023-06-22 20:43:33.353592000 +0200
+@@ -24,13 +24,19 @@ MSVC_CPPCHECK_DISABLE()
  DISABLE_MISSING_PROFILE_WARNING()
+ MSVC_CPPCHECK_DISABLE()
  
 -IF(NOT CMAKE_CROSSCOMPILING)
 +IF(WITHOUT_CLIENTLIBS)
@@ -22,7 +22,7 @@
  
  MYSQL_ADD_EXECUTABLE(comp_client_err
    comp_client_err.cc
-@@ -112,10 +118,30 @@ MYSQL_ADD_EXECUTABLE(static_thread_local_test
+@@ -113,10 +119,30 @@ MYSQL_ADD_EXECUTABLE(static_thread_local_test
    EXCLUDE_FROM_ALL
    )
  
@@ -53,8 +53,8 @@
    )
  MYSQL_ADD_EXECUTABLE(perror
    perror.cc
-@@ -130,12 +156,23 @@ IF(BUILD_BUNDLED_LZ4)
-     LINK_LIBRARIES ${LZ4_LIBRARY} mysys
+@@ -131,12 +157,23 @@ ENDIF()
+     LINK_LIBRARIES ext::lz4 mysys
      )
  ENDIF()
 +ENDIF(WITHOUT_CLIENTLIBS)
@@ -63,7 +63,7 @@
  MYSQL_ADD_EXECUTABLE(zlib_decompress
    zlib_decompress.cc
    COMPONENT Server
-   LINK_LIBRARIES ${ZLIB_LIBRARY} mysys
+   LINK_LIBRARIES ext::zlib mysys
 +    SKIP_INSTALL )
 +ELSE(WITHOUT_CLIENTLIBS)
 +IF(BUILD_BUNDLED_ZLIB OR NOT OPENSSL_EXECUTABLE_HAS_ZLIB)
